TriggerColors = {}
TriggerColors.version = '1.0'

--## Choco ##--

--replaces blue highlight with custom highlight based on assigned trigger
local function set_colored_highlights()
	local group_ids = {GetActiveShipSelectedWeaponGroupIDs()}
	for n=3,1,-1 do --each trigger in reverse order to give primary preference
		for portid,_ in pairs(GetActiveShipWeaponGroup(group_ids[n])) do
			local layers = HUD.addonlist[portid]
			if layers then layers.highlight.image = "plugins/TriggerColors/img/fire"..n..".png" end
		end
	end
end

function TriggerColors:PLAYER_ENTERED_GAME(event, data)
	local set_highlights_old = HUD.SetWeaponGroupHighlights --save reference to original function
	function HUD.SetWeaponGroupHighlights(...) --override existing function
		local ret = set_highlights_old(...) --this will toggle highlights to correct visibility
		
		set_colored_highlights()
		
		return  ret
	end
end

RegisterEvent(TriggerColors, "PLAYER_ENTERED_GAME")